#include <stdio.h>
#include <math.h>
#include <malloc.h>
#include <png.h>

// This takes the float value 'val', converts it to red, green & blue values, then 
// sets those values into the image memory buffer location pointed to by 'ptr'
inline void setRGB(png_byte *ptr, float val);

// This function actually writes out the PNG image file. The string 'title' is
// also written into the image file
int writeImage(char* filename, int width, int height, unsigned char *buffer, char* title);

/* Read mask image */
unsigned char *read_mask(char *mask_fname, int *mask_width, int *mask_height);
